/* fonts. all of these are variable and also come with readme/license in their folders */
@font-face {
    font-family: "Inconsolata";
    src: url("/fonts/Inconsolata/inconsolata-variable.ttf");
}

@font-face {
    font-family: "Handjet";
    src: url("/fonts/Handjet/handjet-variable.ttf");
}

@font-face {
    font-family: "Source Code Pro";
    src: url("/fonts/Source_Code_Pro/sourcecodepro-variable.ttf");
}

@font-face {
    font-family: "Material Symbols Outlined";
    src: url("/fonts/Material_Symbols_Outlined/material-symbols-outlined.ttf");
}

body {
    background-color: black;
    color: white;
    position: relative;
    height: 100vh;
    margin: 0;
    font-family: 'Inconsolata', monospace;
}

* img {
    image-rendering: pixelated;
}

#landing {
    position: absolute;
    z-index: 999;
    /* width: 100vh; */
    /* height: 90vh; */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -200%);
    /* background-color: black; */
    /* margin: 5rem; */
}

.hidden {
    display: none !important;
}

.center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}

.speech {
    display: block;
    position: absolute;
    bottom: 70%;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
}

/* error popup container and messages */
#error-container {
    position: absolute;
    bottom: 10px;
    left: 10px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
    z-index: 99999999;
    pointer-events: none;
}

.error-popup {
    background: black;
    color: white;
    padding: 5px 10px;
    border-radius: 3px;
    font-family: monospace;
    font-size: 12px;
}
